package testtcf.handlers;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.tcf.internal.debug.model.TCFLaunch;
import org.eclipse.tcf.internal.debug.model.TCFLaunch.LaunchListener;

public class MyLaunchListener implements LaunchListener {
	

	
	private Map<String, TCFLaunchListener> m_tcfLaunches = new HashMap<String, TCFLaunchListener>();
	
	public MyLaunchListener() {
		TCFLaunch.addListener(this);
	}
	
	@Override
    public void onCreated(TCFLaunch launch) {
		
	}

	@Override
    public void onConnected(TCFLaunch launch) {
		String id = "x";
		m_tcfLaunches.put(id, new TCFLaunchListener(launch));
	}

	@Override
    public void onDisconnected(TCFLaunch launch) {
		m_tcfLaunches.remove("x");
	}

	@Override
    public void onProcessOutput(TCFLaunch launch, String process_id, int stream_id, byte[] data) {
		
	}

	@Override
    public void onProcessStreamError(
            TCFLaunch launch, String process_id, int stream_id,
            Exception error, int lost_size) {
		
	}
	
}
